Package org.eclipse.rdf4j.sail.lmdb.model

## Class LmdbIRI

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractIRI
  - - org.eclipse.rdf4j.model.impl.SimpleIRI
    - - org.eclipse.rdf4j.sail.lmdb.model.LmdbIRI

- All Implemented Interfaces:
    `Serializable`, `IRI`, `Resource`, `Value`, `LmdbResource`, `LmdbValue`

      public class LmdbIRI
      extends SimpleIRI
      implements LmdbResource

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.lmdb.model.LmdbValue

      `UNKNOWN_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LmdbIRI​(ValueStoreRevision revision, long internalID)` |
    `LmdbIRI​(ValueStoreRevision revision, String uri)` |
    `LmdbIRI​(ValueStoreRevision revision, String uri, long internalID)` |
    `LmdbIRI​(ValueStoreRevision revision, String namespace, String localname)` |
    `LmdbIRI​(ValueStoreRevision revision, String namespace, String localname, long internalID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Compares this IRI to another object.
    `long` | `getInternalID()` | Gets the ID that is used in the lmdb store for this Value.
    `String` | `getLocalName()` | Gets the local name part of this IRI.
    `String` | `getNamespace()` | Gets the namespace part of this IRI.
    `ValueStoreRevision` | `getValueStoreRevision()` | Gets the revision of the value store that created this value.
    `protected void` | `init()` |
    `void` | `setInternalID​(long internalID, ValueStoreRevision revision)` | Sets the ID that is used for this value in a specific revision of the value store.
    `void` | `setIRIString​(String iriString)` |
    `String` | `stringValue()` | Returns the String-value of a Value object.
    `protected Object` | `writeReplace()` |

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractIRI

      `hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.IRI

      `isIRI`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Resource

      `isResource`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isLiteral, isTriple`

- - ### Constructor Detail

    - #### LmdbIRI

          public LmdbIRI​(ValueStoreRevision revision,
                         long internalID)

    - #### LmdbIRI

          public LmdbIRI​(ValueStoreRevision revision,
                         String uri)

    - #### LmdbIRI

          public LmdbIRI​(ValueStoreRevision revision,
                         String uri,
                         long internalID)

    - #### LmdbIRI

          public LmdbIRI​(ValueStoreRevision revision,
                         String namespace,
                         String localname)

    - #### LmdbIRI

          public LmdbIRI​(ValueStoreRevision revision,
                         String namespace,
                         String localname,
                         long internalID)

  - ### Method Detail

    - #### setInternalID

          public void setInternalID​(long internalID,
                                    ValueStoreRevision revision)

      Description copied from interface: `LmdbValue`
      Sets the ID that is used for this value in a specific revision of the value store.
      Specified by:
        `setInternalID` in interface `LmdbValue`

    - #### getValueStoreRevision

          public ValueStoreRevision getValueStoreRevision()

      Description copied from interface: `LmdbValue`
      Gets the revision of the value store that created this value. The value's internal ID is only valid when it's value store revision is equal to the value store's current revision.
      Specified by:
        `getValueStoreRevision` in interface `LmdbValue`
      Returns:
        The revision of the value store that created this value at the time it last set the value's internal ID.

    - #### getInternalID

          public long getInternalID()

      Description copied from interface: `LmdbValue`
      Gets the ID that is used in the lmdb store for this Value.
      Specified by:
        `getInternalID` in interface `LmdbValue`
      Returns:
        The value's ID, or `LmdbValue.UNKNOWN_ID` if not yet set.

    - #### setIRIString

          public void setIRIString​(String iriString)

      Overrides:
        `setIRIString` in class `SimpleIRI`

    - #### getNamespace

          public String getNamespace()

      Description copied from interface: `IRI`
      Gets the namespace part of this IRI.

      The namespace is defined as per the algorithm described in the class documentation.

      Specified by:
        `getNamespace` in interface `IRI`
      Overrides:
        `getNamespace` in class `SimpleIRI`
      Returns:
        the namespace of this IRI

    - #### getLocalName

          public String getLocalName()

      Description copied from interface: `IRI`
      Gets the local name part of this IRI.

      The local name is defined as per the algorithm described in the class documentation.

      Specified by:
        `getLocalName` in interface `IRI`
      Overrides:
        `getLocalName` in class `SimpleIRI`
      Returns:
        the local name of this IRI

    - #### stringValue

          public String stringValue()

      Description copied from interface: `Value`
      Returns the String-value of a Value object. This returns either a `Literal`'s label, a `IRI`'s URI or a `BNode`'s ID.
      Specified by:
        `stringValue` in interface `Value`
      Overrides:
        `stringValue` in class `SimpleIRI`

    - #### init

          protected void init()

    - #### equals

          public boolean equals​(Object o)

      Description copied from interface: `IRI`
      Compares this IRI to another object.
      Specified by:
        `equals` in interface `IRI`
      Overrides:
        `equals` in class `AbstractIRI`
      Parameters:
        `o` - the object to compare this IRI to
      Returns:
        `true`, if the other object is an instance of `IRI` and their string values are equal; `false`, otherwise

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Throws:
        `ObjectStreamException`